package com.iscs.bozzys.utils

import android.util.Log

object LogUtil {

    var showLog = true

    /**
     * INFO级别日志输出
     */
    fun i(tag: String, msg: String) {
        if (showLog) Log.i("Bozzys $tag", msg)
    }

    /**
     * DEBUG级别日志输出
     */
    fun d(tag: String, msg: String) {
        if (showLog) Log.d("Bozzys $tag", msg)
    }

    /**
     * WARNING级别日志输出
     */
    fun w(tag: String, msg: String) {
        if (showLog) Log.w("Bozzys $tag", msg)
    }

    /**
     * ERROR级别日志输出
     */
    fun e(tag: String, msg: String) {
        if (showLog) Log.e("Bozzys $tag", msg)
    }

}